SOLVED getting error while running system update

Spirogg

Well-Known Member
Feb 21, 2018
700
161
43
chicago
cPanel Access Level
Root Administrator
Code:
System update process has started.

“/usr/bin/dnf” reported error code “1” when it ended: w/ /usr/bin/dnf upgrade -y --exclude=kernel-*
Last metadata expiration check: 2:01:30 ago on Fri Apr 29 11:54:49 2022.
<span class='text-danger'>Error: </span>
Problem 1: package kernel-4.18.0-348.23.1.el8_5.x86_64 requires kernel-modules-uname-r = 4.18.0-348.23.1.el8_5.x86_64, but none of the providers can be installed
- cannot install the best update candidate for package kernel-4.18.0-348.20.1.el8_5.x86_64
- package kernel-modules-4.18.0-348.23.1.el8_5.x86_64 is filtered out by exclude filtering
Problem 2: package kernel-4.18.0-348.23.1.el8_5.x86_64 requires kernel-modules-uname-r = 4.18.0-348.23.1.el8_5.x86_64, but none of the providers can be installed
- cannot install the best update candidate for package kernel-4.18.0-348.el8.x86_64
- package kernel-modules-4.18.0-348.23.1.el8_5.x86_64 is filtered out by exclude filtering
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Often errors like this can be resolved by running `dnf makecache`

System update process has finished.
I ran dnf makecache in terminal and tried to run the update again and i got same error
using 102.0.13 cPanel 8.5 AlmaLinux
 

Spirogg

Well-Known Member
Feb 21, 2018
700
161
43
chicago
cPanel Access Level
Root Administrator
PS I have KernelCare purchase from cPanel on this server. just fyi

so when I try to update I do not leave the check mark enabled, Cause KernelCare takes care of that.
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
12,499
1,971
363
cPanel Access Level
Root Administrator
Hey hey! I reached out to the CloudLinux team about this and they let me know this looks like a bad repository related to KernelCare. If you're seeing this frequently and it's not just a one-off issue, could you submit a ticket so we can do some more testing?
 

Spirogg

Well-Known Member
Feb 21, 2018
700
161
43
chicago
cPanel Access Level
Root Administrator
If you're seeing this frequently and it's not just a one-off issue, could you submit a ticket so we can do some more testing?
ever time I click update without the checkmark I get that error. will submit a ticket and post it here
thanks
 
  • Like
Reactions: cPRex

Spirogg

Well-Known Member
Feb 21, 2018
700
161
43
chicago
cPanel Access Level
Root Administrator
Hey hey! I reached out to the CloudLinux team about this and they let me know this looks like a bad repository related to KernelCare. If you're seeing this frequently and it's not just a one-off issue, could you submit a ticket so we can do some more testing?
#94441775 just added. since i am low priority ;) i added per cPRex hopefully that rings a bell to get my ticket looked at lol
 

WorkinOnIt

Well-Known Member
Aug 3, 2016
288
52
78
UK
cPanel Access Level
Root Administrator
Hey there guys

I have a similar error - but different error message... I don't think related, so not sure if I need a new thread (please move if necessary) - but since we are here....

see next post ! can't edit code here....
 

WorkinOnIt

Well-Known Member
Aug 3, 2016
288
52
78
UK
cPanel Access Level
Root Administrator
For some reason I am unable to enter / edit the code (clicking on the code icon took me to a "Forum List " list of posts....) I am using the quote feature instead.

Here is the error message I am seeing...

The cPanel & WHM update process failed for the following reason:
Maintenance ended; however, it did not exit cleanly (256). The following events were logged: “scripts/find_outdated_services” and “scripts/findphpversion”. Review the update logs to determine why the update failed.

Update log preview:​
...
...
[2022-04-30 03:11:02 +1200] E [/usr/local/cpanel/scripts/find_outdated_services] STDERR: Could not retrieve mirrorlist http://httpupdate.cpanel.net/ea4-c7-x86_64-mirrorlist error was
[2022-04-30 03:11:02 +1200] E [/usr/local/cpanel/scripts/find_outdated_services] 14: HTTP Error 500 - Internal Server Error
[2022-04-30 03:11:02 +1200] E [/usr/local/cpanel/scripts/find_outdated_services] Cannot find a valid baseurl for repo: EA4/7/x86_64
[2022-04-30 03:11:02 +1200] E [/usr/local/cpanel/scripts/find_outdated_services]
...
[2022-04-30 03:12:11 +1200] Processing: Updating plugins data cache
[2022-04-30 03:12:11 +1200] - Processing command `/usr/local/cpanel/bin/refresh_plugin_cache`
[2022-04-30 03:12:11 +1200] - Finished command `/usr/local/cpanel/bin/refresh_plugin_cache` in 0.040 seconds
 

Spirogg

Well-Known Member
Feb 21, 2018
700
161
43
chicago
cPanel Access Level
Root Administrator
For some reason I am unable to enter / edit the code (clicking on the code icon took me to a "Forum List " list of posts....) I am using the quote feature instead.

Here is the error message I am seeing...
Can you try to force toe update
/scripts/upcp —force
 

Spirogg

Well-Known Member
Feb 21, 2018
700
161
43
chicago
cPanel Access Level
Root Administrator
@WrkinOnIt
Could not retrieve mirrorlist http://httpupdate.cpanel.net/ea4-c7-x86_64-mirrorlist error was
[2022-04-30 03:11:02 +1200] E [/usr/local/cpanel/scripts/find_outdated_services] 14: HTTP Error 500 - Internal Server Error
seems like the link is working so maybe was a glitch - try the update again and see if you get that error.
Code:
http://103.148.15.50/cpanelsync/repos/CentOS/7/EA4/
http://203.174.85.202/cpanelsync/repos/CentOS/7/EA4/
http://31.22.112.31/cpanelsync/repos/CentOS/7/EA4/
http://184.94.196.94/cpanelsync/repos/CentOS/7/EA4/
http://138.118.173.126/cpanelsync/repos/CentOS/7/EA4/
http://63.247.64.58/cpanelsync/repos/CentOS/7/EA4/
http://27.50.85.8/cpanelsync/repos/CentOS/7/EA4/
http://74.50.120.123/cpanelsync/repos/CentOS/7/EA4/
http://208.74.123.61/cpanelsync/repos/CentOS/7/EA4/
http://185.15.22.168/cpanelsync/repos/CentOS/7/EA4/
http://103.72.162.35/cpanelsync/repos/CentOS/7/EA4/
http://103.101.161.235/cpanelsync/repos/CentOS/7/EA4/
http://103.17.8.8/cpanelsync/repos/CentOS/7/EA4/
http://184.94.196.93/cpanelsync/repos/CentOS/7/EA4/
http://208.74.123.62/cpanelsync/repos/CentOS/7/EA4/
http://201.159.169.169/cpanelsync/repos/CentOS/7/EA4/
http://103.15.48.49/cpanelsync/repos/CentOS/7/EA4/
http://103.66.86.68/cpanelsync/repos/CentOS/7/EA4/
http://84.95.247.234/cpanelsync/repos/CentOS/7/EA4/
http://45.228.65.220/cpanelsync/repos/CentOS/7/EA4/
http://103.120.66.133/cpanelsync/repos/CentOS/7/EA4/
http://102.22.80.80/cpanelsync/repos/CentOS/7/EA4/
http://103.252.152.1/cpanelsync/repos/CentOS/7/EA4/
http://208.100.0.204/cpanelsync/repos/CentOS/7/EA4/
http://103.163.139.122/cpanelsync/repos/CentOS/7/EA4/
http://184.94.196.97/cpanelsync/repos/CentOS/7/EA4/
http://178.18.193.52/cpanelsync/repos/CentOS/7/EA4/
http://103.48.119.120/cpanelsync/repos/CentOS/7/EA4/
http://101.0.120.94/cpanelsync/repos/CentOS/7/EA4/
http://93.115.203.100/cpanelsync/repos/CentOS/7/EA4/
http://184.94.196.92/cpanelsync/repos/CentOS/7/EA4/
 

Spirogg

Well-Known Member
Feb 21, 2018
700
161
43
chicago
cPanel Access Level
Root Administrator
Hey hey! I reached out to the CloudLinux team about this and they let me know this looks like a bad repository related to KernelCare. If you're seeing this frequently and it's not just a one-off issue, could you submit a ticket so we can do some more testing?
from support:

We've seen this issue before, your dnf is trying to download an outdated version of a dependency rather than the newer one already installed then it gets stuck. It's a common issue where the workaround is simply changing "best=True" to "best=False" in the dnf configuration file. I went ahead and edited this file for you:
Code:
[18:50:47 server1 [email protected] ~]cPs# diff -u /root/cptechs/94441775/dnf.conf /etc/dnf/dnf.conf
--- /root/cptechs/94441775/dnf.conf    2022-04-30 18:49:57.507000000 -0500
+++ /etc/dnf/dnf.conf    2022-04-30 18:50:17.451000000 -0500
@@ -6,5 +6,5 @@
 gpgcheck=1
 installonly_limit=3
 clean_requirements_on_remove=True
-best=True
+best=False
 skip_if_unavailable=False
I then confirmed dnf update was working properly:
Code:
[18:50:17 server1 [email protected] ~]cPs# dnf update
Last metadata expiration check: 3:21:47 ago on Sat 30 Apr 2022 03:28:43 PM CDT.
Dependencies resolved.
============================================================================================================================================================================================================
 Package                                            Architecture                               Version                                                     Repository                                  Size
============================================================================================================================================================================================================
Installing:
 kernel                                             x86_64                                     4.18.0-348.23.1.el8_5                                       baseos                                     7.0 M
Installing dependencies:
 kernel-core                                        x86_64                                     4.18.0-348.23.1.el8_5                                       baseos                                      38 M
 kernel-modules                                     x86_64                                     4.18.0-348.23.1.el8_5                                       baseos                                      30 M

Transaction Summary
============================================================================================================================================================================================================
Install  3 Packages

Total download size: 74 M
Installed size: 90 M
Is this ok [y/N]: n
this corrected the issue.
 
  • Like
Reactions: cPRex